Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007942opensim[REGION] Script Functionspublic2016-06-25 15:082019-02-06 11:30
Reporterdanbanner 
Assigned Todanbanner 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007942: llTriggerSound only playing sound locally when used in a hud
DescriptionllTriggerSound() is playing sound only for for owner when object is attached as a hud. Meaning a hud with sound intended for others to hear cannot be heard. This is correct behavior for llPlaySound() and the sl wiki for llPlaysound says:

"If the object playing the sound is a HUD, the sound is only heard by the user the HUD is attached to.

To play a sound inworld from a HUD use llTriggerSound."




Steps To ReproduceGet a friend or an alt and use this script below:
 
string sound = "89bf9e38-52d5-4e15-af9c-edeb5b12a6cd"; //uuid or name of item in inventory
 
default
{
    touch_start(integer total_num)
    {
        llTriggerSound(sound, 1.0);
    }
}
Additional Informationhttp://wiki.secondlife.com/wiki/LlPlaySound [^]

http://wiki.secondlife.com/wiki/LlTriggerSound [^]
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE, BulletSim
EnvironmentMono / Linux64, .NET / Windows64
Mono Version3.2
Viewerany
Attached Files

- Relationships

-  Notes
(0030784)
danbanner (manager)
2016-06-26 02:18

<cia-opensim> opensim: ajlduarte * r8cb3787de86a OpenSim/Region/CoreModules/World/Sound (SoundModule.cs):
<cia-opensim> mantis 7942: allow llTriggerSound on HUDs to send sounds to all.

thanks ubit!
(0034525)
BillBlight (developer)
2019-02-06 11:30

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2016-06-25 15:08 danbanner New Issue
2016-06-26 02:18 danbanner Note Added: 0030784
2016-06-26 02:18 danbanner Status new => resolved
2016-06-26 02:18 danbanner Resolution open => fixed
2016-06-26 02:18 danbanner Assigned To => danbanner
2019-02-06 11:30 BillBlight Note Added: 0034525
2019-02-06 11:30 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker